Prima::ExtLists(3)

NAME
Prima::ExtLists - extended functionality for list boxes

SYNOPSIS
        use Prima::ExtLists;

        my $vec = '';
        vec( $vec, 0, 8) = 0x55;
        Prima::CheckList-> new(
                items  => [1..10],
                vector => $vec,
        );

DESCRIPTION
The module is intended to be a collection of list boxes with particular enhancements. Currently the only package is contained is "Prima::CheckList" class.

Prima::CheckList
Provides a list box, where each item is equipped with a check box. The check box state can interactively be toggled by the enter key; also the list box reacts differently by click and double click.

  Properties

button INDEX, STATE
    Runtime only. Sets INDEXth button STATE to 0 or 1. If STATE is -1, the button state is toggled.

    Returns the new state of the button.

vector VEC
    VEC is a vector scalar, where each bit corresponds to the check state of each list box item.

    See also: "vec" in perlfunc.

  Methods

clear_all_buttons
    Sets all buttons to state 0

set_all_buttons
    Sets all buttons to state 1

AUTHOR
Dmitry Karasik, <dmitry@karasik.eu.org>.

SEE ALSO
Prima, Prima::Lists, examples/extlist.pl